CityGMLファイルを含んだzipファイルの非同期作成をリクエスト
POST
/citygml/pack
const url = 'https://api.plateauview.mlit.go.jp/citygml/pack';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"urls":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.plateauview.mlit.go.jp/citygml/pack \ --header 'Content-Type: application/json' \ --data '{ "urls": [ "example" ] }'Request Body required
Section titled “Request Body required ” Media type application/json
object
urls
Array<string>
Example generated
{ "urls": [ "example" ]}Responses
Section titled “ Responses ”リクエストが受理され、ステータス確認のためのID(パックID)が返却
Media type application/json
object
id
string
Example generated
{ "id": "example"}無効なリクエストやURLエラー
Media type application/json
object
error
required
エラーメッセージ
string
reason
エラーの原因
string
url
エラーが発生したURL
string
Example generated
{ "error": "example", "reason": "example", "url": "example"}サーバーエラー
Media type application/json
object
error
required
エラーメッセージ
string
reason
エラーの原因
string
url
エラーが発生したURL
string
Example generated
{ "error": "example", "reason": "example", "url": "example"}